# J: Python スクリプトでSecSelを使う例
# J: 
# A simple python script to use SecSel for site selection
#
# To use this script, SecSel should be installed by pip.
# The parameter file and other data files should be prepared
# and stored in the working directory.
#

# 2020-08-25 by TAKENAKA, Akio

import sys

# J: secsel パッケージから SecSel クラスをインポート
# import SecSel class from package secsel

from secsel import SecSel  

args = sys.argv  # Get command line parameters

if len(args) < 2:
    print("Usage: python run_secsel.py parameter_file_name\n")
    sys.exit()

parameter_file = args[1]

# J: SecSel のオブジェクトの生成
# Make an Instance of SecSel class
ss = SecSel()  

# J: パラメータファイルの読み込み
# Load parameters from the given parameter file.
ss.load_parameter_file(parameter_file) 

# J: サイト選択の実行
# Execute site selection
ss.run()
